Represents a value in a real time model.

### Hierarchy

- IDataValue
  - INullValue
  - IStringValue
  - INumberValue
  - IBooleanValue
  - IObjectValue
  - IArrayValue
  - IDateValue

## Index

### Properties

- id
- type
- value

## Properties

### id

id: string

The unique identifier of this object within the model.

### type

type: "object" | "array" | "string" | "number" | "boolean" | "null" | "date"

The type of this data value.

### value

value: any

The underlying value of this element of the model.